function img = YCxCz2XYZ(img)

exact = 1;
                                                                                
% Reformat image for linear color transformations
[height,width,Ncolors] = size(img);
img = permute(img,[3,1,2]);
img = reshape(img,Ncolors,height*width);

% Invert YCxCz transformation
TLab = [ 0, 116, 0; 500, -500, 0; 0, 200, -200];
img = TLab^(-1)*img;

% D65 white point with Y=1.0
wpD65=[0.3127 0.3290 0.3583]';
wpD65=wpD65/wpD65(2);
                                                                                
% Multiply by Xo,Yo,Zo
img = diag(wpD65)*img;

% Put image back in standard format
img = reshape(img,Ncolors,height,width);
img = ipermute(img,[3,1,2]);

